Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.p3p
Class P3PConstants

    java.lang.Object
      org.jboss.portal.common.p3p.P3PConstants

    public final class P3PConstants

extends java.lang.Object

Version:
  $Revision: 5451 $
Author:
  Julien Viet, Chris Laprun

Nested Class Summary
`static class` | `P3PConstants.OnlineInfo`
`static class` | `P3PConstants.PostalInfo`
`static class` | `P3PConstants.TelecomInfo`
`static class` | `P3PConstants.TelecomType`

Field Summary
`static java.lang.String` | `INFO_USER_BDATE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_ONLINE_EMAIL`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_ONLINE_URI`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_CITY`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_COUNTRY`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_NAME`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_ORGANIZATION`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_POSTALCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_STATEPROV`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_POSTAL_STREET`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_FAX_COMMENT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_FAX_EXT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_FAX_INTCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_FAX_LOCCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_FAX_NUMBER`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_COMMENT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_EXT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_INTCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_LOCCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_NUMBER`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_PAGER_COMMENT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_PAGER_EXT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_PAGER_INTCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_PAGER_LOCCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_PAGER_NUMBER`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_COMMENT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_EXT`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_INTCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_LOCCODE`
`static java.lang.String` | `INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_NUMBER`
`static java.lang.String` | `INFO_USER_DEPARTMENT`
`static java.lang.String` | `INFO_USER_EMPLOYER`
`static java.lang.String` | `INFO_USER_GENDER`
`static java.lang.String` | `INFO_USER_HOME_INFO_ONLINE_EMAIL`
`static java.lang.String` | `INFO_USER_HOME_INFO_ONLINE_URI`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_CITY`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_COUNTRY`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_NAME`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_ORGANIZATION`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_POSTALCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_STATEPROV`
`static java.lang.String` | `INFO_USER_HOME_INFO_POSTAL_STREET`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_FAX_COMMENT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_FAX_EXT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_FAX_INTCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_FAX_LOCCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_FAX_NUMBER`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_MOBILE_COMMENT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_MOBILE_EXT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_MOBILE_INTCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_MOBILE_LOCCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_MOBILE_NUMBER`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_PAGER_COMMENT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_PAGER_EXT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_PAGER_INTCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_PAGER_LOCCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_PAGER_NUMBER`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_TELEPHONE_COMMENT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_TELEPHONE_EXT`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_TELEPHONE_INTCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_TELEPHONE_LOCCODE`
`static java.lang.String` | `INFO_USER_HOME_INFO_TELECOM_TELEPHONE_NUMBER`
`static java.lang.String` | `INFO_USER_JOB_TITLE`
`static java.lang.String` | `INFO_USER_NAME_FAMILY`
`static java.lang.String` | `INFO_USER_NAME_GIVEN`
`static java.lang.String` | `INFO_USER_NAME_MIDDLE`
`static java.lang.String` | `INFO_USER_NAME_NICKNAME`
`static java.lang.String` | `INFO_USER_NAME_PREFIX`
`static java.lang.String` | `INFO_USER_NAME_SUFFIX`

Method Summary
`static java.lang.String` | `getOnlineUserInfoKey(P3PConstants.OnlineInfo info, boolean isBusiness)`
`static java.lang.String` | `getPostalUserInfoKey(P3PConstants.PostalInfo info, boolean isBusiness)`
`static java.lang.String` | `getTelecomInfoKey(P3PConstants.TelecomType type, P3PConstants.TelecomInfo info, boolean isBusiness)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_USER_BDATE

    public static final java.lang.String INFO_USER_BDATE

See Also:
  Constant Field Values

### INFO_USER_GENDER

    public static final java.lang.String INFO_USER_GENDER

See Also:
  Constant Field Values

### INFO_USER_EMPLOYER

    public static final java.lang.String INFO_USER_EMPLOYER

See Also:
  Constant Field Values

### INFO_USER_DEPARTMENT

    public static final java.lang.String INFO_USER_DEPARTMENT

See Also:
  Constant Field Values

### INFO_USER_JOB_TITLE

    public static final java.lang.String INFO_USER_JOB_TITLE

See Also:
  Constant Field Values

### INFO_USER_NAME_PREFIX

    public static final java.lang.String INFO_USER_NAME_PREFIX

See Also:
  Constant Field Values

### INFO_USER_NAME_GIVEN

    public static final java.lang.String INFO_USER_NAME_GIVEN

See Also:
  Constant Field Values

### INFO_USER_NAME_FAMILY

    public static final java.lang.String INFO_USER_NAME_FAMILY

See Also:
  Constant Field Values

### INFO_USER_NAME_MIDDLE

    public static final java.lang.String INFO_USER_NAME_MIDDLE

See Also:
  Constant Field Values

### INFO_USER_NAME_SUFFIX

    public static final java.lang.String INFO_USER_NAME_SUFFIX

See Also:
  Constant Field Values

### INFO_USER_NAME_NICKNAME

    public static final java.lang.String INFO_USER_NAME_NICKNAME

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_NAME

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_NAME

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_STREET

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_STREET

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_CITY

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_CITY

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_STATEPROV

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_STATEPROV

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_POSTALCODE

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_POSTALCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_COUNTRY

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_COUNTRY

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_POSTAL_ORGANIZATION

    public static final java.lang.String INFO_USER_HOME_INFO_POSTAL_ORGANIZATION

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_TELEPHONE_INTCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_TELEPHONE_INTCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_TELEPHONE_LOCCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_TELEPHONE_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_TELEPHONE_NUMBER

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_TELEPHONE_NUMBER

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_TELEPHONE_EXT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_TELEPHONE_EXT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_TELEPHONE_COMMENT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_TELEPHONE_COMMENT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_FAX_INTCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_FAX_INTCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_FAX_LOCCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_FAX_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_FAX_NUMBER

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_FAX_NUMBER

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_FAX_EXT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_FAX_EXT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_FAX_COMMENT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_FAX_COMMENT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_MOBILE_INTCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_MOBILE_INTCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_MOBILE_LOCCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_MOBILE_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_MOBILE_NUMBER

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_MOBILE_NUMBER

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_MOBILE_EXT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_MOBILE_EXT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_MOBILE_COMMENT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_MOBILE_COMMENT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_PAGER_INTCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_PAGER_INTCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_PAGER_LOCCODE

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_PAGER_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_PAGER_NUMBER

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_PAGER_NUMBER

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_PAGER_EXT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_PAGER_EXT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_TELECOM_PAGER_COMMENT

    public static final java.lang.String INFO_USER_HOME_INFO_TELECOM_PAGER_COMMENT

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_ONLINE_EMAIL

    public static final java.lang.String INFO_USER_HOME_INFO_ONLINE_EMAIL

See Also:
  Constant Field Values

### INFO_USER_HOME_INFO_ONLINE_URI

    public static final java.lang.String INFO_USER_HOME_INFO_ONLINE_URI

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_NAME

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_NAME

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_STREET

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_STREET

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_CITY

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_CITY

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_STATEPROV

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_STATEPROV

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_POSTALCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_POSTALCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_COUNTRY

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_COUNTRY

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_POSTAL_ORGANIZATION

    public static final java.lang.String INFO_USER_BUSINESS_INFO_POSTAL_ORGANIZATION

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_INTCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_INTCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_LOCCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_NUMBER

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_NUMBER

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_EXT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_EXT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_COMMENT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_TELEPHONE_COMMENT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_FAX_INTCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_FAX_INTCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_FAX_LOCCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_FAX_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_FAX_NUMBER

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_FAX_NUMBER

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_FAX_EXT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_FAX_EXT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_FAX_COMMENT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_FAX_COMMENT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_INTCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_INTCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_LOCCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_NUMBER

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_NUMBER

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_EXT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_EXT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_COMMENT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_MOBILE_COMMENT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_PAGER_INTCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_PAGER_INTCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_PAGER_LOCCODE

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_PAGER_LOCCODE

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_PAGER_NUMBER

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_PAGER_NUMBER

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_PAGER_EXT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_PAGER_EXT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_TELECOM_PAGER_COMMENT

    public static final java.lang.String INFO_USER_BUSINESS_INFO_TELECOM_PAGER_COMMENT

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_ONLINE_EMAIL

    public static final java.lang.String INFO_USER_BUSINESS_INFO_ONLINE_EMAIL

See Also:
  Constant Field Values

### INFO_USER_BUSINESS_INFO_ONLINE_URI

    public static final java.lang.String INFO_USER_BUSINESS_INFO_ONLINE_URI

See Also:
  Constant Field Values

Method Detail

### getPostalUserInfoKey

    public static java.lang.String getPostalUserInfoKey(P3PConstants.PostalInfo info,
                                                        boolean isBusiness)

### getTelecomInfoKey

    public static java.lang.String getTelecomInfoKey(P3PConstants.TelecomType type,
                                                     P3PConstants.TelecomInfo info,
                                                     boolean isBusiness)

### getOnlineUserInfoKey

    public static java.lang.String getOnlineUserInfoKey(P3PConstants.OnlineInfo info,
                                                        boolean isBusiness)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.